Skip to main content
DELETE
/
api-cart
/
wishlist
/
user
/
item
/
{itemId}
Delete from Wishlist
curl --request DELETE \
  --url https://prod01-apigw.{customer_name}.fabric.zone/api-cart/wishlist/user/item/{itemId} \
  --header 'Authorization: <authorization>' \
  --header 'x-site-context: <x-site-context>'
{
  "userId": "5ff5d4a40227d073b02dcfeb",
  "items": [
    1000000014
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt

Use this file to discover all available pages before exploring further.

Headers

x-site-context
string
required

The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.

Example:

"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"

Authorization
string
required

Path Parameters

itemId
number
required
Example:

"1000000012"

Response

Item Deleted from Wishlist

userId
string
Example:

"5ff5d4a40227d073b02dcfeb"

items
number[]